/**
 *
 */
package com.fp.frontend.webservices.snap.modelo;

import java.io.Serializable;

import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlRootElement;

/**
 * Clase xml con los datos del guardia
 *
 * @author Manuel Cepeda
 *
 */
@XmlRootElement(name = "Guardia")
@XmlAccessorType(XmlAccessType.FIELD)
public class GuardiaXml implements Serializable {

    /**
     *
     */
    private static final long serialVersionUID = -431606681146448613L;

    @XmlElement(name = "nombre")
    private String nombre;
    @XmlElement(name = "Empresa")
    private String empresa;
    @XmlElement(name = "Estado")
    private String estado;

    /**
     *
     */
    public GuardiaXml() {
    }

    public GuardiaXml(String nombre, String empresa, String estado) {
        super();
        this.nombre = nombre;
        this.empresa = empresa;
        this.estado = estado;
    }

    /**
     * @return the nombre
     */
    public String getNombre() {
        return nombre;
    }

    /**
     * @param nombre the nombre to set
     */
    public void setNombre(String nombre) {
        this.nombre = nombre;
    }

    /**
     * @return the empresa
     */
    public String getEmpresa() {
        return empresa;
    }

    /**
     * @param empresa the empresa to set
     */
    public void setEmpresa(String empresa) {
        this.empresa = empresa;
    }

    /**
     * @return the estado
     */
    public String getEstado() {
        return estado;
    }

    /**
     * @param estado the estado to set
     */
    public void setEstado(String estado) {
        this.estado = estado;
    }

}
